[OSM-dev] Postgres - installing gist?

Richard Fairhurst richard at systemed.net
Sun Apr 26 16:25:44 BST 2009


Oh, how I love setting up a new instance of the Rails port.

I'm trying to install Postgres this time (on an Intel Mac mini). Migration
28 (AddMoreChangesetIndexes) fails, saying:

-- add_index("changesets", ["min_lat", "max_lat", "min_lon", "max_lon"],
{:method=>"GIST", :name=>"changesets_bbox_idx"})
rake aborted!
PGError: ERROR:  data type integer has no default operator class for access
method "gist"
HINT:  You must specify an operator class for the index or define a default
operator class for the data type.
: CREATE  INDEX "changesets_bbox_idx" ON "changesets" USING GIST ("min_lat",
"max_lat", "min_lon", "max_lon")

It looks to me as if I need to install btree_gist, but how I do that without
pulling down the whole Postgres source tree, I have no idea (the makefile
seems to refer to lots of other places within the source). Any clues?

cheers
Richard
-- 
View this message in context: http://www.nabble.com/Postgres---installing-gist--tp23243250p23243250.html
Sent from the OpenStreetMap - Dev mailing list archive at Nabble.com.





More information about the dev mailing list